/// <reference types="svelte" />
export function sortFoldersFirst(a: any, b: any): number;
export function sortByName(a: any, b: any): 0 | 1 | -1;
export const updateFolders: import("svelte/store").Writable<number>;
export class FileTree {
    constructor(path: any);
    exists: any;
    path: any;
    name: any;
    children: any[];
    childrenStore: import("svelte/store").Writable<any>;
    type: string | undefined;
    mime: any;
    extension: any;
    existing(): void;
    hasReadAccess(): boolean;
    hasWriteAccess(): boolean;
    getGrandchildren(isGrandChild?: boolean): void;
    hasExtension(name?: any): any;
    getExtension(name?: any): any;
    setChildren(fileArray: any): void;
    refreshFolder(): void;
    getChildren(): any;
    traverse(callback: any): Promise<void>;
}
export class Image extends FileTree {
    thumbnail: import("svelte/store").Writable<string>;
    getThumbnail(imagePath?: any): void;
}
export class Preset extends Image {
}
