import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        size?: string | undefined;
        groupItem?: boolean | undefined;
        iconOnly?: boolean | undefined;
        hideTooltip?: boolean | undefined;
        hold?: boolean | undefined;
        label?: string | undefined;
        iconName?: string | undefined;
        iconColor?: string | undefined;
        emphasized?: boolean | undefined;
        quiet?: boolean | undefined;
        isSelected?: boolean | undefined;
        disabled?: boolean | undefined;
        margin?: string | number | undefined;
        width?: string | number | undefined;
        secondaryColor?: string | undefined;
        tertiaryColor?: string | undefined;
        secondary?: boolean | undefined;
        tooltipDirection?: string | undefined;
        relativeTooltip?: boolean | undefined;
        children?: ((this: void) => typeof import("svelte").SnippetReturn & {
            _: "functions passed to {@render ...} tags must use the `Snippet` type imported from \"svelte\"";
        }) | undefined;
    };
    events: {
        click: MouseEvent;
        mousedown: MouseEvent;
        mouseup: MouseEvent;
        dblclick: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type ActionButtonProps = typeof __propDef.props;
export type ActionButtonEvents = typeof __propDef.events;
export type ActionButtonSlots = typeof __propDef.slots;
export default class ActionButton extends SvelteComponent<ActionButtonProps, ActionButtonEvents, ActionButtonSlots> {
}
export {};
