import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        title?: string | undefined;
        type?: string | undefined;
        horizontal?: boolean | undefined;
        subtitle?: string | undefined;
        description?: string | undefined;
        quiet?: boolean | undefined;
        selectable?: boolean | undefined;
        isFocused?: boolean | undefined;
        hideTooltip?: boolean | undefined;
        size?: string | number | undefined;
        hideActions?: boolean | undefined;
    };
    events: {
        click: MouseEvent;
        dblclick: MouseEvent;
        keydown: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        image: {};
        menu: {};
    };
};
export type CardProps = typeof __propDef.props;
export type CardEvents = typeof __propDef.events;
export type CardSlots = typeof __propDef.slots;
export default class Card extends SvelteComponent<CardProps, CardEvents, CardSlots> {
}
export {};
