import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        size?: string | undefined;
        iconName?: string | undefined;
        iconColor?: string | undefined;
        label?: string | undefined;
        tags?: [] | undefined;
        disabled?: boolean | undefined;
        focused?: boolean | undefined;
    };
    events: {
        keydown: KeyboardEvent;
        mouseup: CustomEvent<any>;
        click: CustomEvent<any>;
        mousedown: CustomEvent<any>;
        contextmenu: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        label: {};
    };
};
export type MenuItemProps = typeof __propDef.props;
export type MenuItemEvents = typeof __propDef.events;
export type MenuItemSlots = typeof __propDef.slots;
export default class MenuItem extends SvelteComponent<MenuItemProps, MenuItemEvents, MenuItemSlots> {
}
export {};
