import { SvelteComponent } from "svelte";
import { FileTree as FileClass } from '../modules/filetree.js';
declare const __propDef: {
    props: {
        selectedItems?: FileClass[] | undefined;
        openFolder?: boolean | undefined;
        item: FileClass;
        hideChevron?: boolean | undefined;
        hideMoreIcon?: boolean | undefined;
        hideThumbnails?: boolean | undefined;
        rootOnly?: boolean | undefined;
        foldersOnly?: boolean | undefined;
        filterFiles?: string[] | undefined;
        expanded?: boolean | undefined;
    };
    events: {
        select: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TreeProps = typeof __propDef.props;
export type TreeEvents = typeof __propDef.events;
export type TreeSlots = typeof __propDef.slots;
export default class Tree extends SvelteComponent<TreeProps, TreeEvents, TreeSlots> {
}
export {};
