export function Color(): void;
export class Color {
    getIntegerRGB: () => {
        r: number;
        g: number;
        b: number;
        a: any;
    };
    getPercentageRGB: () => {
        r: number;
        g: number;
        b: number;
        a: any;
    };
    getCSSHexadecimalRGB: () => string;
    getCSSIntegerRGB: () => string;
    getCSSIntegerRGBA: () => string;
    getCSSPercentageRGB: () => string;
    getCSSPercentageRGBA: () => string;
    getCSSHSL: () => string;
    getCSSHSLA: () => string;
    setNodeColor: (node: any) => void;
    setNodeBackgroundColor: (node: any) => void;
}
export function RGBColor(r: any, g: any, b: any, a: any): void;
export class RGBColor {
    constructor(r: any, g: any, b: any, a: any);
    getRGB: () => {
        r: number;
        g: number;
        b: number;
        a: number;
    };
    getHSV: () => {
        h: any;
        s: any;
        v: any;
        a: number;
    };
    getHSL: () => {
        h: any;
        s: any;
        l: any;
        a: number;
    };
}
export function HSLColor(h: any, s: any, l: any, a: any): void;
export class HSLColor {
    constructor(h: any, s: any, l: any, a: any);
    getRGB: () => {
        r: any;
        g: any;
        b: any;
        a: number;
    };
    getHSV: () => {
        h: any;
        s: any;
        v: any;
        a: number;
    };
    getHSL: () => {
        h: number;
        s: number;
        l: number;
        a: number;
    };
}
